> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses vendors runs



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/vendors/{vendorId}/runs
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/vendors/{vendorId}/runs:
    get:
      tags:
        - BusinessVendorRuns
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: vendorId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: cursor
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            format: int32
            default: 50
        - name: status
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKEntitiesDeckV2DeckRunListPage
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKEntitiesDeckV2DeckRunListPage
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKEntitiesDeckV2DeckRunListPage
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    SmartbillsSDKEntitiesDeckV2DeckRunListPage:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/SmartbillsSDKEntitiesDeckV2DeckRunDto'
          nullable: true
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    SmartbillsSDKEntitiesDeckV2DeckRunDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        externalId:
          type: string
          nullable: true
        accountId:
          type: integer
          format: int64
        vendor:
          $ref: '#/components/schemas/SmartbillsSDKEntitiesDeckV2DeckRunVendorDto'
        username:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/SmartbillsSDKModelsDeckDeckRunStatus'
        queuedAt:
          type: string
          format: date-time
          nullable: true
        startedAt:
          type: string
          format: date-time
          nullable: true
        endedAt:
          type: string
          format: date-time
          nullable: true
        durationMs:
          type: integer
          format: int64
          nullable: true
        interaction:
          $ref: >-
            #/components/schemas/SmartbillsSDKEntitiesDeckV2DeckInteractionEnvelope
        failure:
          $ref: '#/components/schemas/SmartbillsSDKEntitiesDeckV2DeckRunFailureDto'
        events:
          type: array
          items:
            $ref: '#/components/schemas/SmartbillsSDKEntitiesDeckV2DeckRunEventDto'
          nullable: true
      additionalProperties: false
    SmartbillsSDKEntitiesDeckV2DeckRunVendorDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
          nullable: true
        name:
          type: string
          nullable: true
      additionalProperties: false
    SmartbillsSDKModelsDeckDeckRunStatus:
      enum:
        - UNKNOWN
        - QUEUED
        - RUNNING
        - PENDING
        - INTERACTION_REQUIRED
        - REVIEW_REQUIRED
        - COMPLETED
        - FAILED
        - CANCELING
        - CANCELED
      type: string
    SmartbillsSDKEntitiesDeckV2DeckInteractionEnvelope:
      type: object
      properties:
        type:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
        expiresAt:
          type: string
          format: date-time
          nullable: true
        requiredAt:
          type: string
          format: date-time
          nullable: true
        resolvedAt:
          type: string
          format: date-time
          nullable: true
        fields:
          type: array
          items:
            $ref: >-
              #/components/schemas/SmartbillsSDKEntitiesDeckV2DeckInteractionFieldDto
          nullable: true
      additionalProperties: false
    SmartbillsSDKEntitiesDeckV2DeckRunFailureDto:
      type: object
      properties:
        code:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    SmartbillsSDKEntitiesDeckV2DeckRunEventDto:
      type: object
      properties:
        eventType:
          type: string
          nullable: true
        occurredAt:
          type: string
          format: date-time
      additionalProperties: false
    SmartbillsSDKEntitiesDeckV2DeckInteractionFieldDto:
      type: object
      properties:
        name:
          type: string
          nullable: true
        label:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        required:
          type: boolean
        secret:
          type: boolean
        options:
          type: array
          items:
            $ref: >-
              #/components/schemas/SmartbillsSDKEntitiesDeckV2DeckInteractionFieldOption
          nullable: true
      additionalProperties: false
    SmartbillsSDKEntitiesDeckV2DeckInteractionFieldOption:
      type: object
      properties:
        value:
          type: string
          nullable: true
        label:
          type: string
          nullable: true
      additionalProperties: false

````